curl \
--request PATCH \
--url "https://api.breeze.blue/v1/studio/projects/prj_example/tracks/123e4567-e89b-42d3-a456-426614174003/instances/123e4567-e89b-42d3-a456-426614174004" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"expected_edit_token": "replace_with_current_edit_token",
"operation_id": "123e4567-e89b-42d3-a456-426614174000",
"position": {
"mode": "follow",
"clip_id": "clp_example",
"edge": "start"
}
}'from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.instances.update("prj_example", "123e4567-e89b-42d3-a456-426614174003", "123e4567-e89b-42d3-a456-426614174004", {
"expected_edit_token": "replace_with_current_edit_token",
"operation_id": "123e4567-e89b-42d3-a456-426614174000",
"position": {
"mode": "follow",
"clip_id": "clp_example",
"edge": "start",
},
})import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.instances.update("prj_example", "123e4567-e89b-42d3-a456-426614174003", "123e4567-e89b-42d3-a456-426614174004", {
expectedEditToken: "replace_with_current_edit_token",
operationId: "123e4567-e89b-42d3-a456-426614174000",
position: {
mode: "follow",
clipId: "clp_example",
edge: "start",
},
});{
"project": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"tts_settings": {
"model": "<string>",
"language": "<string>",
"generation_language": "<string>",
"guidance_scale": 123
},
"default_voice_id": "<string>",
"default_instructions": "<string>",
"default_silence_ms": 123,
"edit_token": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"chapter_count": 123,
"clip_count": 123
},
"edit_token": "<string>",
"client_refs": {},
"created_ids": [
"<string>"
]
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Update an instance
Change an instance’s file, position, trim, length, or effects, or move it to another audio track with track_id. position and effects are merged into the current values.
curl \
--request PATCH \
--url "https://api.breeze.blue/v1/studio/projects/prj_example/tracks/123e4567-e89b-42d3-a456-426614174003/instances/123e4567-e89b-42d3-a456-426614174004" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"expected_edit_token": "replace_with_current_edit_token",
"operation_id": "123e4567-e89b-42d3-a456-426614174000",
"position": {
"mode": "follow",
"clip_id": "clp_example",
"edge": "start"
}
}'from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.instances.update("prj_example", "123e4567-e89b-42d3-a456-426614174003", "123e4567-e89b-42d3-a456-426614174004", {
"expected_edit_token": "replace_with_current_edit_token",
"operation_id": "123e4567-e89b-42d3-a456-426614174000",
"position": {
"mode": "follow",
"clip_id": "clp_example",
"edge": "start",
},
})import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.instances.update("prj_example", "123e4567-e89b-42d3-a456-426614174003", "123e4567-e89b-42d3-a456-426614174004", {
expectedEditToken: "replace_with_current_edit_token",
operationId: "123e4567-e89b-42d3-a456-426614174000",
position: {
mode: "follow",
clipId: "clp_example",
edge: "start",
},
});{
"project": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"tts_settings": {
"model": "<string>",
"language": "<string>",
"generation_language": "<string>",
"guidance_scale": 123
},
"default_voice_id": "<string>",
"default_instructions": "<string>",
"default_silence_ms": 123,
"edit_token": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"chapter_count": 123,
"clip_count": 123
},
"edit_token": "<string>",
"client_refs": {},
"created_ids": [
"<string>"
]
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Arrange background audio
Get a file
Studio CLI
Authorizations
Breeze Developer API key.
Path Parameters
Studio project ID, such as prj_….
Audio track ID, or narration for the narration track.
Audio instance ID.
Body
edit_token from your latest read or write of this project. A stale token returns 409.
1 - 128New UUID for each write. Retrying with the same ID and body returns the original result instead of repeating the write.
Ready audio file to play.
Position fields to change. Omitted fields keep their values.
Show child attributes
Show child attributes
First source frame to play.
0 <= x <= 1036800000Source frame where playback stops. Must be greater than trim_start.
1 <= x <= 1036800000Effect fields to change. Omitted fields keep their values.
Show child attributes
Show child attributes
Timeline length in frames. When longer than the trimmed audio, the audio repeats. null plays the trimmed audio once.
1 <= x <= 1036800000Move the instance to this audio track.
Response
The updated project.
The project after this request.
Show child attributes
Show child attributes
Current edit_token. Send it as expected_edit_token on the next write.
Import only: each client_ref mapped to its created ID.
Show child attributes
Show child attributes
IDs created by this request, in order.

